{{- range .Values.google.serviceAccounts }}
{{- if and ( .name ) ( .displayName ) }}
---
apiVersion: iam.cnrm.cloud.google.com/v1beta1
kind: IAMServiceAccount
metadata:
  name: {{ .name }}
  namespace: {{ include "wi.namespace" $ }}
  labels:
    {{- include "wi.labels" $ | nindent 4 }}
  annotations:
    cnrm.cloud.google.com/project-id: {{ $.Values.google.hostProject | default $.Values.google.project }}
    cnrm.cloud.google.com/management-conflict-prevention-policy: none
spec:
  displayName: {{ .displayName }}
{{- end }}
{{- end }}
